Bug 497384 - [enh] NM kills connections and VPN
[enh] NM kills connections and VPN
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-23 12:25 EDT by David Woodhouse
Modified: 2010-12-05 01:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:55:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2009-04-23 12:25:47 EDT
I'm in a location with a crappy AP that seems to keep rebooting.

This means a momentary wireless outage, followed by reassociation to the network (which the driver probably ought to handle automatically).

NetworkManager seems to take the network down entirely and re-do DHCP when this happens. And terminates my VPN connection (which means I get a _different_ internal IP address from the crappy Cisco VPN server after I _manually_ reconnect and reauthenticate). It also causes all my NFS mounts to get unmounted, and triggers Evolution's bug where it never redraws a folder index after being signalled about offline/online state.

If I was still using the old static network configuration, this would be fine -- we're just reconnect to the wireless network after the AP reboots, and all would be well.

Perhaps NetworkManager should only re-do DHCP and signal a disconnection if it fails to reconnect to the same AP within 30 seconds or so?
Comment 1 Niels Haase 2009-04-23 16:16:22 EDT
Reporter, thanks for filling this bug.

It looks like more than a enhancement request. Therefore I changed the title to reflect the enhancement request.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Dan Williams 2009-04-24 11:52:01 EDT
The latency problem here sucks.  There's no difference client-side between going out of range of the AP, the AP being turned off, or the AP being shitty.  NetworkManager has a 15 or 20 second reassociation timer; if the connection drops, and it doesn't reassociate in 15 seconds, the connection is dropped as well.  Suggestions are:

1) there's some supplicant stupidity WRT connections and scanning
2) use disable_hw_scan=1 on your iwlwifi hardware because Intel hardware scanning simply blows chunks
3) don't use shitty APs

Your old static configuration also wouldn't know when you walked out of range of the AP or resumed in a different location.

In short, I think this is not as much an NM issue as a stack issue with the supplicant and mac80211.  Grabbing some debug logging from wpa_supplicant by adding "-dddt" to the end of the Exec= line in /usr/share/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service and then 'killall -TERM wpa_supplicant', suffering through a disconnection or two, and then sending off /var/log/wpa_supplicant.log and /var/log/messages would be very helpful.
Comment 3 Dan Williams 2009-04-24 11:52:14 EDT
The latency problem here sucks.  There's no difference client-side between going out of range of the AP, the AP being turned off, or the AP being shitty.  NetworkManager has a 15 or 20 second reassociation timer; if the connection drops, and it doesn't reassociate in 15 seconds, the connection is dropped as well.  Suggestions are:

1) there's some supplicant stupidity WRT connections and scanning
2) use disable_hw_scan=1 on your iwlwifi hardware because Intel hardware scanning simply blows chunks
3) don't use shitty APs

Your old static configuration also wouldn't know when you walked out of range of the AP or resumed in a different location.

In short, I think this is not as much an NM issue as a stack issue with the supplicant and mac80211.  Grabbing some debug logging from wpa_supplicant by adding "-dddt" to the end of the Exec= line in /usr/share/dbus-1/system-services/fi.epitest.hostap.WPASupplicant.service and then 'killall -TERM wpa_supplicant', suffering through a disconnection or two, and then sending off /var/log/wpa_supplicant.log and /var/log/messages would be very helpful.
Comment 4 David Woodhouse 2009-04-24 13:21:41 EDT
Will be back in this office some time next week and will debug further then.
Comment 5 Bug Zapper 2009-06-09 10:28:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-11-04 07:18:58 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-05 01:55:53 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.